Update audit
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/audits/{audit} \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"auditable_type": "<string>",
"auditable_id": 123,
"old_values": [
"<string>"
],
"new_values": [
"<string>"
],
"url": "<string>",
"ip_address": "<string>",
"user_agent": "<string>",
"profile_id": "<string>",
"location_id": 123,
"staff_id": "<string>"
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/audits/{audit}"
payload = {
"event": "<string>",
"auditable_type": "<string>",
"auditable_id": 123,
"old_values": ["<string>"],
"new_values": ["<string>"],
"url": "<string>",
"ip_address": "<string>",
"user_agent": "<string>",
"profile_id": "<string>",
"location_id": 123,
"staff_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
event: '<string>',
auditable_type: '<string>',
auditable_id: 123,
old_values: ['<string>'],
new_values: ['<string>'],
url: '<string>',
ip_address: '<string>',
user_agent: '<string>',
profile_id: '<string>',
location_id: 123,
staff_id: '<string>'
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/audits/{audit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"user_id": 123,
"event": "<string>",
"auditable_type": "<string>",
"auditable_id": 123,
"old_values": [
"<unknown>"
],
"new_values": [
"<unknown>"
],
"url": "<string>",
"ip_address": "<string>",
"profile_id": "<string>",
"location_id": 123,
"location": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"external_id": "<string>"
},
"staff_id": "<string>",
"staff": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
},
"token_name": "<string>",
"user_agent": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Audit
Update audit
Update an existing audit record.
PUT
/
v3
/
audits
/
{audit}
Update audit
Path Parameters
The audit ID
Body
application/json
Response
Audit
Show child attributes
Show child attributes
⌘I